$(document).ready(function () {

    var data = window.getAppData(1);    

    function gridOnDataBound() {              

        if (window.readClicked) {

            var vis = $(".grid").is(":visible");

            if (vis) {
                $(".grid").hide();
            } else {
                $(".grid").show();
            }
        }
    }

    $(".grid").kendoGrid({
        dataSource: data.dataSource,
        dataBound: gridOnDataBound,
        height: 430,
        sortable: true,
        reorderable: false,
        groupable: false,
        resizable: false,
        filterable: true,
        columnMenu: false,
        pageable: {
            refresh: true,
            buttonCount: 4,
            pageSizes: true
        },
        columns: [{
            field: "OrderID",
            title: "Order ID",
            locked: true,
           // lockable: false,
            width: 120
        }, {
            field: "ShipCountry",
            title: "Ship Country",
            width: 200
        }, {
            field: "ShipCity",
            title: "Ship City",
            width: 160
        }, {
            field: "ShipName",
            title: "Ship Name",
            //locked: true,
            width: 200
        }, {
            field: "ShipAddress",
            //lockable: false,
            width: 300
        }, {
            field: "Freight",
            //lockable: false,
            width: 200,
           // footerTemplate: "Min: #: min # Max: #: max #"
        }
        ]
    });
});